Package org.apache.activemq.artemis.jms.server.config.impl

## Class ConnectionFactoryConfigurationImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.config.impl.ConnectionFactoryConfigurationImpl

- All Implemented Interfaces:
    `org.apache.activemq.artemis.core.journal.EncodingSupport`, `ConnectionFactoryConfiguration`

      public class ConnectionFactoryConfigurationImpl
      extends java.lang.Object
      implements ConnectionFactoryConfiguration

  This class contains the configuration properties of a connection factory.

  It is also persisted on the journal at the time of management is used to created a connection factory and set to store.

  Every property on this class has to be also set through encoders through EncodingSupport implementation at this class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConnectionFactoryConfigurationImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `decode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)` |
    `void` | `encode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)` |
    `java.lang.String[]` | `getBindings()` |
    `long` | `getCallFailoverTimeout()` |
    `long` | `getCallTimeout()` |
    `long` | `getClientFailureCheckPeriod()` |
    `java.lang.String` | `getClientID()` |
    `int` | `getConfirmationWindowSize()` |
    `long` | `getConnectionTTL()` |
    `java.util.List<java.lang.String>` | `getConnectorNames()` |
    `int` | `getConsumerMaxRate()` |
    `int` | `getConsumerWindowSize()` |
    `java.lang.String` | `getDeserializationBlackList()` |
    `java.lang.String` | `getDeserializationWhiteList()` |
    `java.lang.String` | `getDiscoveryGroupName()` |
    `int` | `getDupsOKBatchSize()` |
    `int` | `getEncodeSize()` |
    `JMSFactoryType` | `getFactoryType()` |
    `java.lang.String` | `getGroupID()` |
    `int` | `getInitialMessagePacketSize()` |
    `long` | `getInitialWaitTimeout()` |
    `java.lang.String` | `getLoadBalancingPolicyClassName()` |
    `long` | `getMaxRetryInterval()` |
    `int` | `getMinLargeMessageSize()` |
    `java.lang.String` | `getName()` |
    `int` | `getProducerMaxRate()` |
    `int` | `getProducerWindowSize()` |
    `java.lang.String` | `getProtocolManagerFactoryStr()` |
    `int` | `getReconnectAttempts()` |
    `long` | `getRetryInterval()` |
    `double` | `getRetryIntervalMultiplier()` |
    `int` | `getScheduledThreadPoolMaxSize()` |
    `int` | `getThreadPoolMaxSize()` |
    `int` | `getTransactionBatchSize()` |
    `boolean` | `getUseTopologyForLoadBalancing()` |
    `boolean` | `isAutoGroup()` |
    `boolean` | `isBlockOnAcknowledge()` |
    `boolean` | `isBlockOnDurableSend()` |
    `boolean` | `isBlockOnNonDurableSend()` |
    `boolean` | `isCacheLargeMessagesClient()` |
    `boolean` | `isCompressLargeMessages()` |
    `boolean` | `isEnable1xPrefixes()` |
    `boolean` | `isEnableSharedClientID()` |
    `boolean` | `isFailoverOnInitialConnection()` | Deprecated.
    `boolean` | `isHA()` |
    `boolean` | `isPersisted()` |
    `boolean` | `isPreAcknowledge()` |
    `boolean` | `isUseGlobalPools()` |
    `ConnectionFactoryConfiguration` | `setAutoGroup​(boolean autoGroup)` |
    `ConnectionFactoryConfiguration` | `setBindings​(java.lang.String... bindings)` |
    `ConnectionFactoryConfiguration` | `setBlockOnAcknowledge​(boolean blockOnAcknowledge)` |
    `ConnectionFactoryConfiguration` | `setBlockOnDurableSend​(boolean blockOnDurableSend)` |
    `ConnectionFactoryConfiguration` | `setBlockOnNonDurableSend​(boolean blockOnNonDurableSend)` |
    `ConnectionFactoryConfiguration` | `setCacheLargeMessagesClient​(boolean cacheLargeMessagesClient)` |
    `ConnectionFactoryConfiguration` | `setCallFailoverTimeout​(long callFailoverTimeout)` |
    `ConnectionFactoryConfiguration` | `setCallTimeout​(long callTimeout)` |
    `ConnectionFactoryConfiguration` | `setClientFailureCheckPeriod​(long clientFailureCheckPeriod)` |
    `ConnectionFactoryConfiguration` | `setClientID​(java.lang.String clientID)` |
    `ConnectionFactoryConfiguration` | `setCompressLargeMessages​(boolean compressLargeMessage)` |
    `ConnectionFactoryConfiguration` | `setConfirmationWindowSize​(int confirmationWindowSize)` |
    `ConnectionFactoryConfiguration` | `setConnectionTTL​(long connectionTTL)` |
    `ConnectionFactoryConfiguration` | `setConnectorNames​(java.lang.String... names)` |
    `ConnectionFactoryConfiguration` | `setConnectorNames​(java.util.List<java.lang.String> connectorNames)` |
    `ConnectionFactoryConfiguration` | `setConsumerMaxRate​(int consumerMaxRate)` |
    `ConnectionFactoryConfiguration` | `setConsumerWindowSize​(int consumerWindowSize)` |
    `void` | `setDeserializationBlackList​(java.lang.String blackList)` |
    `void` | `setDeserializationWhiteList​(java.lang.String whiteList)` |
    `ConnectionFactoryConfiguration` | `setDiscoveryGroupName​(java.lang.String discoveryGroupName)` |
    `ConnectionFactoryConfiguration` | `setDupsOKBatchSize​(int dupsOKBatchSize)` |
    `ConnectionFactoryConfiguration` | `setEnable1xPrefixes​(boolean enable1xPrefixes)` |
    `ConnectionFactoryConfiguration` | `setEnableSharedClientID​(boolean enabled)` |
    `ConnectionFactoryConfiguration` | `setFactoryType​(JMSFactoryType factoryType)` |
    `ConnectionFactoryConfiguration` | `setFailoverOnInitialConnection​(boolean failover)` | Deprecated.
    `ConnectionFactoryConfiguration` | `setGroupID​(java.lang.String groupID)` |
    `ConnectionFactoryConfiguration` | `setHA​(boolean ha)` |
    `ConnectionFactoryConfiguration` | `setInitialMessagePacketSize​(int size)` |
    `ConnectionFactoryConfiguration` | `setInitialWaitTimeout​(long initialWaitTimeout)` |
    `ConnectionFactoryConfiguration` | `setLoadBalancingPolicyClassName​(java.lang.String loadBalancingPolicyClassName)` |
    `ConnectionFactoryConfiguration` | `setMaxRetryInterval​(long maxRetryInterval)` |
    `ConnectionFactoryConfiguration` | `setMinLargeMessageSize​(int minLargeMessageSize)` |
    `ConnectionFactoryConfiguration` | `setName​(java.lang.String name)` |
    `ConnectionFactoryConfiguration` | `setPreAcknowledge​(boolean preAcknowledge)` |
    `ConnectionFactoryConfiguration` | `setProducerMaxRate​(int producerMaxRate)` |
    `ConnectionFactoryConfiguration` | `setProducerWindowSize​(int producerWindowSize)` |
    `ConnectionFactoryConfiguration` | `setProtocolManagerFactoryStr​(java.lang.String protocolManagerFactoryStr)` |
    `ConnectionFactoryConfiguration` | `setReconnectAttempts​(int reconnectAttempts)` |
    `ConnectionFactoryConfiguration` | `setRetryInterval​(long retryInterval)` |
    `ConnectionFactoryConfiguration` | `setRetryIntervalMultiplier​(double retryIntervalMultiplier)` |
    `ConnectionFactoryConfiguration` | `setScheduledThreadPoolMaxSize​(int scheduledThreadPoolMaxSize)` |
    `ConnectionFactoryConfiguration` | `setThreadPoolMaxSize​(int threadPoolMaxSize)` |
    `ConnectionFactoryConfiguration` | `setTransactionBatchSize​(int transactionBatchSize)` |
    `ConnectionFactoryConfiguration` | `setUseGlobalPools​(boolean useGlobalPools)` |
    `ConnectionFactoryConfiguration` | `setUseTopologyForLoadBalancing​(boolean useTopologyForLoadBalancing)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionFactoryConfigurationImpl

          public ConnectionFactoryConfigurationImpl()

  - ### Method Detail

    - #### getBindings

          public java.lang.String[] getBindings()

      Specified by:
        `getBindings` in interface `ConnectionFactoryConfiguration`

    - #### setBindings

          public ConnectionFactoryConfiguration setBindings​(java.lang.String... bindings)

      Specified by:
        `setBindings` in interface `ConnectionFactoryConfiguration`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `ConnectionFactoryConfiguration`

    - #### setName

          public ConnectionFactoryConfiguration setName​(java.lang.String name)

      Specified by:
        `setName` in interface `ConnectionFactoryConfiguration`

    - #### isPersisted

          public boolean isPersisted()

      Specified by:
        `isPersisted` in interface `ConnectionFactoryConfiguration`

    - #### getDiscoveryGroupName

          public java.lang.String getDiscoveryGroupName()

      Specified by:
        `getDiscoveryGroupName` in interface `ConnectionFactoryConfiguration`
      Returns:
        the discoveryGroupName

    - #### setDiscoveryGroupName

          public ConnectionFactoryConfiguration setDiscoveryGroupName​(java.lang.String discoveryGroupName)

      Specified by:
        `setDiscoveryGroupName` in interface `ConnectionFactoryConfiguration`
      Parameters:
        `discoveryGroupName` - the discoveryGroupName to set

    - #### getConnectorNames

          public java.util.List<java.lang.String> getConnectorNames()

      Specified by:
        `getConnectorNames` in interface `ConnectionFactoryConfiguration`

    - #### setConnectorNames

          public ConnectionFactoryConfiguration setConnectorNames​(java.util.List<java.lang.String> connectorNames)

      Specified by:
        `setConnectorNames` in interface `ConnectionFactoryConfiguration`

    - #### setConnectorNames

          public ConnectionFactoryConfiguration setConnectorNames​(java.lang.String... names)

      Specified by:
        `setConnectorNames` in interface `ConnectionFactoryConfiguration`

    - #### isHA

          public boolean isHA()

      Specified by:
        `isHA` in interface `ConnectionFactoryConfiguration`

    - #### setHA

          public ConnectionFactoryConfiguration setHA​(boolean ha)

      Specified by:
        `setHA` in interface `ConnectionFactoryConfiguration`

    - #### getClientID

          public java.lang.String getClientID()

      Specified by:
        `getClientID` in interface `ConnectionFactoryConfiguration`

    - #### setClientID

          public ConnectionFactoryConfiguration setClientID​(java.lang.String clientID)

      Specified by:
        `setClientID` in interface `ConnectionFactoryConfiguration`

    - #### getClientFailureCheckPeriod

          public long getClientFailureCheckPeriod()

      Specified by:
        `getClientFailureCheckPeriod` in interface `ConnectionFactoryConfiguration`

    - #### setClientFailureCheckPeriod

          public ConnectionFactoryConfiguration setClientFailureCheckPeriod​(long clientFailureCheckPeriod)

      Specified by:
        `setClientFailureCheckPeriod` in interface `ConnectionFactoryConfiguration`

    - #### getConnectionTTL

          public long getConnectionTTL()

      Specified by:
        `getConnectionTTL` in interface `ConnectionFactoryConfiguration`

    - #### setConnectionTTL

          public ConnectionFactoryConfiguration setConnectionTTL​(long connectionTTL)

      Specified by:
        `setConnectionTTL` in interface `ConnectionFactoryConfiguration`

    - #### getCallTimeout

          public long getCallTimeout()

      Specified by:
        `getCallTimeout` in interface `ConnectionFactoryConfiguration`

    - #### setCallTimeout

          public ConnectionFactoryConfiguration setCallTimeout​(long callTimeout)

      Specified by:
        `setCallTimeout` in interface `ConnectionFactoryConfiguration`

    - #### getCallFailoverTimeout

          public long getCallFailoverTimeout()

      Specified by:
        `getCallFailoverTimeout` in interface `ConnectionFactoryConfiguration`

    - #### setCallFailoverTimeout

          public ConnectionFactoryConfiguration setCallFailoverTimeout​(long callFailoverTimeout)

      Specified by:
        `setCallFailoverTimeout` in interface `ConnectionFactoryConfiguration`

    - #### isCacheLargeMessagesClient

          public boolean isCacheLargeMessagesClient()

      Specified by:
        `isCacheLargeMessagesClient` in interface `ConnectionFactoryConfiguration`

    - #### setCacheLargeMessagesClient

          public ConnectionFactoryConfiguration setCacheLargeMessagesClient​(boolean cacheLargeMessagesClient)

      Specified by:
        `setCacheLargeMessagesClient` in interface `ConnectionFactoryConfiguration`

    - #### getMinLargeMessageSize

          public int getMinLargeMessageSize()

      Specified by:
        `getMinLargeMessageSize` in interface `ConnectionFactoryConfiguration`

    - #### setMinLargeMessageSize

          public ConnectionFactoryConfiguration setMinLargeMessageSize​(int minLargeMessageSize)

      Specified by:
        `setMinLargeMessageSize` in interface `ConnectionFactoryConfiguration`

    - #### getConsumerWindowSize

          public int getConsumerWindowSize()

      Specified by:
        `getConsumerWindowSize` in interface `ConnectionFactoryConfiguration`

    - #### setConsumerWindowSize

          public ConnectionFactoryConfiguration setConsumerWindowSize​(int consumerWindowSize)

      Specified by:
        `setConsumerWindowSize` in interface `ConnectionFactoryConfiguration`

    - #### getConsumerMaxRate

          public int getConsumerMaxRate()

      Specified by:
        `getConsumerMaxRate` in interface `ConnectionFactoryConfiguration`

    - #### setConsumerMaxRate

          public ConnectionFactoryConfiguration setConsumerMaxRate​(int consumerMaxRate)

      Specified by:
        `setConsumerMaxRate` in interface `ConnectionFactoryConfiguration`

    - #### getConfirmationWindowSize

          public int getConfirmationWindowSize()

      Specified by:
        `getConfirmationWindowSize` in interface `ConnectionFactoryConfiguration`

    - #### setConfirmationWindowSize

          public ConnectionFactoryConfiguration setConfirmationWindowSize​(int confirmationWindowSize)

      Specified by:
        `setConfirmationWindowSize` in interface `ConnectionFactoryConfiguration`

    - #### getProducerMaxRate

          public int getProducerMaxRate()

      Specified by:
        `getProducerMaxRate` in interface `ConnectionFactoryConfiguration`

    - #### setProducerMaxRate

          public ConnectionFactoryConfiguration setProducerMaxRate​(int producerMaxRate)

      Specified by:
        `setProducerMaxRate` in interface `ConnectionFactoryConfiguration`

    - #### getProducerWindowSize

          public int getProducerWindowSize()

      Specified by:
        `getProducerWindowSize` in interface `ConnectionFactoryConfiguration`

    - #### setProducerWindowSize

          public ConnectionFactoryConfiguration setProducerWindowSize​(int producerWindowSize)

      Specified by:
        `setProducerWindowSize` in interface `ConnectionFactoryConfiguration`

    - #### isBlockOnAcknowledge

          public boolean isBlockOnAcknowledge()

      Specified by:
        `isBlockOnAcknowledge` in interface `ConnectionFactoryConfiguration`

    - #### setBlockOnAcknowledge

          public ConnectionFactoryConfiguration setBlockOnAcknowledge​(boolean blockOnAcknowledge)

      Specified by:
        `setBlockOnAcknowledge` in interface `ConnectionFactoryConfiguration`

    - #### isBlockOnDurableSend

          public boolean isBlockOnDurableSend()

      Specified by:
        `isBlockOnDurableSend` in interface `ConnectionFactoryConfiguration`

    - #### setBlockOnDurableSend

          public ConnectionFactoryConfiguration setBlockOnDurableSend​(boolean blockOnDurableSend)

      Specified by:
        `setBlockOnDurableSend` in interface `ConnectionFactoryConfiguration`

    - #### isBlockOnNonDurableSend

          public boolean isBlockOnNonDurableSend()

      Specified by:
        `isBlockOnNonDurableSend` in interface `ConnectionFactoryConfiguration`

    - #### setBlockOnNonDurableSend

          public ConnectionFactoryConfiguration setBlockOnNonDurableSend​(boolean blockOnNonDurableSend)

      Specified by:
        `setBlockOnNonDurableSend` in interface `ConnectionFactoryConfiguration`

    - #### isAutoGroup

          public boolean isAutoGroup()

      Specified by:
        `isAutoGroup` in interface `ConnectionFactoryConfiguration`

    - #### setAutoGroup

          public ConnectionFactoryConfiguration setAutoGroup​(boolean autoGroup)

      Specified by:
        `setAutoGroup` in interface `ConnectionFactoryConfiguration`

    - #### isPreAcknowledge

          public boolean isPreAcknowledge()

      Specified by:
        `isPreAcknowledge` in interface `ConnectionFactoryConfiguration`

    - #### setPreAcknowledge

          public ConnectionFactoryConfiguration setPreAcknowledge​(boolean preAcknowledge)

      Specified by:
        `setPreAcknowledge` in interface `ConnectionFactoryConfiguration`

    - #### getLoadBalancingPolicyClassName

          public java.lang.String getLoadBalancingPolicyClassName()

      Specified by:
        `getLoadBalancingPolicyClassName` in interface `ConnectionFactoryConfiguration`

    - #### setLoadBalancingPolicyClassName

          public ConnectionFactoryConfiguration setLoadBalancingPolicyClassName​(java.lang.String loadBalancingPolicyClassName)

      Specified by:
        `setLoadBalancingPolicyClassName` in interface `ConnectionFactoryConfiguration`

    - #### getTransactionBatchSize

          public int getTransactionBatchSize()

      Specified by:
        `getTransactionBatchSize` in interface `ConnectionFactoryConfiguration`

    - #### setTransactionBatchSize

          public ConnectionFactoryConfiguration setTransactionBatchSize​(int transactionBatchSize)

      Specified by:
        `setTransactionBatchSize` in interface `ConnectionFactoryConfiguration`

    - #### getDupsOKBatchSize

          public int getDupsOKBatchSize()

      Specified by:
        `getDupsOKBatchSize` in interface `ConnectionFactoryConfiguration`

    - #### setDupsOKBatchSize

          public ConnectionFactoryConfiguration setDupsOKBatchSize​(int dupsOKBatchSize)

      Specified by:
        `setDupsOKBatchSize` in interface `ConnectionFactoryConfiguration`

    - #### getInitialWaitTimeout

          public long getInitialWaitTimeout()

    - #### setInitialWaitTimeout

          public ConnectionFactoryConfiguration setInitialWaitTimeout​(long initialWaitTimeout)

    - #### isUseGlobalPools

          public boolean isUseGlobalPools()

      Specified by:
        `isUseGlobalPools` in interface `ConnectionFactoryConfiguration`

    - #### setUseGlobalPools

          public ConnectionFactoryConfiguration setUseGlobalPools​(boolean useGlobalPools)

      Specified by:
        `setUseGlobalPools` in interface `ConnectionFactoryConfiguration`

    - #### getScheduledThreadPoolMaxSize

          public int getScheduledThreadPoolMaxSize()

      Specified by:
        `getScheduledThreadPoolMaxSize` in interface `ConnectionFactoryConfiguration`

    - #### setScheduledThreadPoolMaxSize

          public ConnectionFactoryConfiguration setScheduledThreadPoolMaxSize​(int scheduledThreadPoolMaxSize)

      Specified by:
        `setScheduledThreadPoolMaxSize` in interface `ConnectionFactoryConfiguration`

    - #### getThreadPoolMaxSize

          public int getThreadPoolMaxSize()

      Specified by:
        `getThreadPoolMaxSize` in interface `ConnectionFactoryConfiguration`

    - #### setThreadPoolMaxSize

          public ConnectionFactoryConfiguration setThreadPoolMaxSize​(int threadPoolMaxSize)

      Specified by:
        `setThreadPoolMaxSize` in interface `ConnectionFactoryConfiguration`

    - #### getRetryInterval

          public long getRetryInterval()

      Specified by:
        `getRetryInterval` in interface `ConnectionFactoryConfiguration`

    - #### setRetryInterval

          public ConnectionFactoryConfiguration setRetryInterval​(long retryInterval)

      Specified by:
        `setRetryInterval` in interface `ConnectionFactoryConfiguration`

    - #### getRetryIntervalMultiplier

          public double getRetryIntervalMultiplier()

      Specified by:
        `getRetryIntervalMultiplier` in interface `ConnectionFactoryConfiguration`

    - #### setRetryIntervalMultiplier

          public ConnectionFactoryConfiguration setRetryIntervalMultiplier​(double retryIntervalMultiplier)

      Specified by:
        `setRetryIntervalMultiplier` in interface `ConnectionFactoryConfiguration`

    - #### getMaxRetryInterval

          public long getMaxRetryInterval()

      Specified by:
        `getMaxRetryInterval` in interface `ConnectionFactoryConfiguration`

    - #### setMaxRetryInterval

          public ConnectionFactoryConfiguration setMaxRetryInterval​(long maxRetryInterval)

      Specified by:
        `setMaxRetryInterval` in interface `ConnectionFactoryConfiguration`

    - #### getReconnectAttempts

          public int getReconnectAttempts()

      Specified by:
        `getReconnectAttempts` in interface `ConnectionFactoryConfiguration`

    - #### setReconnectAttempts

          public ConnectionFactoryConfiguration setReconnectAttempts​(int reconnectAttempts)

      Specified by:
        `setReconnectAttempts` in interface `ConnectionFactoryConfiguration`

    - #### isFailoverOnInitialConnection

          @Deprecated
          public boolean isFailoverOnInitialConnection()

      Deprecated.
      Specified by:
        `isFailoverOnInitialConnection` in interface `ConnectionFactoryConfiguration`

    - #### setFailoverOnInitialConnection

          @Deprecated
          public ConnectionFactoryConfiguration setFailoverOnInitialConnection​(boolean failover)

      Deprecated.
      Specified by:
        `setFailoverOnInitialConnection` in interface `ConnectionFactoryConfiguration`

    - #### getGroupID

          public java.lang.String getGroupID()

      Specified by:
        `getGroupID` in interface `ConnectionFactoryConfiguration`

    - #### setGroupID

          public ConnectionFactoryConfiguration setGroupID​(java.lang.String groupID)

      Specified by:
        `setGroupID` in interface `ConnectionFactoryConfiguration`

    - #### isEnable1xPrefixes

          public boolean isEnable1xPrefixes()

      Specified by:
        `isEnable1xPrefixes` in interface `ConnectionFactoryConfiguration`

    - #### setEnable1xPrefixes

          public ConnectionFactoryConfiguration setEnable1xPrefixes​(boolean enable1xPrefixes)

      Specified by:
        `setEnable1xPrefixes` in interface `ConnectionFactoryConfiguration`

    - #### decode

          public void decode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)

      Specified by:
        `decode` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### encode

          public void encode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)

      Specified by:
        `encode` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### getEncodeSize

          public int getEncodeSize()

      Specified by:
        `getEncodeSize` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### setFactoryType

          public ConnectionFactoryConfiguration setFactoryType​(JMSFactoryType factoryType)

      Specified by:
        `setFactoryType` in interface `ConnectionFactoryConfiguration`

    - #### getFactoryType

          public JMSFactoryType getFactoryType()

      Specified by:
        `getFactoryType` in interface `ConnectionFactoryConfiguration`

    - #### getDeserializationBlackList

          public java.lang.String getDeserializationBlackList()

      Specified by:
        `getDeserializationBlackList` in interface `ConnectionFactoryConfiguration`

    - #### setDeserializationBlackList

          public void setDeserializationBlackList​(java.lang.String blackList)

      Specified by:
        `setDeserializationBlackList` in interface `ConnectionFactoryConfiguration`

    - #### getDeserializationWhiteList

          public java.lang.String getDeserializationWhiteList()

      Specified by:
        `getDeserializationWhiteList` in interface `ConnectionFactoryConfiguration`

    - #### setDeserializationWhiteList

          public void setDeserializationWhiteList​(java.lang.String whiteList)

      Specified by:
        `setDeserializationWhiteList` in interface `ConnectionFactoryConfiguration`

    - #### setCompressLargeMessages

          public ConnectionFactoryConfiguration setCompressLargeMessages​(boolean compressLargeMessage)

      Specified by:
        `setCompressLargeMessages` in interface `ConnectionFactoryConfiguration`

    - #### isCompressLargeMessages

          public boolean isCompressLargeMessages()

      Specified by:
        `isCompressLargeMessages` in interface `ConnectionFactoryConfiguration`

    - #### setProtocolManagerFactoryStr

          public ConnectionFactoryConfiguration setProtocolManagerFactoryStr​(java.lang.String protocolManagerFactoryStr)

      Specified by:
        `setProtocolManagerFactoryStr` in interface `ConnectionFactoryConfiguration`

    - #### getProtocolManagerFactoryStr

          public java.lang.String getProtocolManagerFactoryStr()

      Specified by:
        `getProtocolManagerFactoryStr` in interface `ConnectionFactoryConfiguration`

    - #### getInitialMessagePacketSize

          public int getInitialMessagePacketSize()

      Specified by:
        `getInitialMessagePacketSize` in interface `ConnectionFactoryConfiguration`

    - #### setInitialMessagePacketSize

          public ConnectionFactoryConfiguration setInitialMessagePacketSize​(int size)

      Specified by:
        `setInitialMessagePacketSize` in interface `ConnectionFactoryConfiguration`

    - #### setEnableSharedClientID

          public ConnectionFactoryConfiguration setEnableSharedClientID​(boolean enabled)

      Specified by:
        `setEnableSharedClientID` in interface `ConnectionFactoryConfiguration`

    - #### isEnableSharedClientID

          public boolean isEnableSharedClientID()

      Specified by:
        `isEnableSharedClientID` in interface `ConnectionFactoryConfiguration`

    - #### setUseTopologyForLoadBalancing

          public ConnectionFactoryConfiguration setUseTopologyForLoadBalancing​(boolean useTopologyForLoadBalancing)

      Specified by:
        `setUseTopologyForLoadBalancing` in interface `ConnectionFactoryConfiguration`

    - #### getUseTopologyForLoadBalancing

          public boolean getUseTopologyForLoadBalancing()

      Specified by:
        `getUseTopologyForLoadBalancing` in interface `ConnectionFactoryConfiguration`